UbixOS V2 2.0

Data Fields
ubixDiskLabel::ubixPartitions Struct Reference

`#include <ubixfs.h>`

Collaboration diagram for ubixDiskLabel::ubixPartitions:

## Data Fields
uInt32 | pBatSize
uInt8 | pFrag
uInt32 | pFsSize
uInt8 | pFsType
uInt32 | pOffset
uInt32 | pSize

## Detailed Description

Definition at line 72 of file ubixfs.h.

## Field Documentation

## ◆ pBatSize

uInt32 ubixDiskLabel::ubixPartitions::pBatSize

Definition at line 76 of file ubixfs.h.

Referenced by syncBat(), ubixfs_initialize(), and writeFileByte().

## ◆ pFrag

uInt8 ubixDiskLabel::ubixPartitions::pFrag

Definition at line 78 of file ubixfs.h.

## ◆ pFsSize

uInt32 ubixDiskLabel::ubixPartitions::pFsSize

Definition at line 75 of file ubixfs.h.

## ◆ pFsType

uInt8 ubixDiskLabel::ubixPartitions::pFsType

Definition at line 77 of file ubixfs.h.

## ◆ pOffset

uInt32 ubixDiskLabel::ubixPartitions::pOffset

Definition at line 74 of file ubixfs.h.

Referenced by syncBat(), ubixfs_initialize(), ubixFSmkDir(), writeFileByte(), and writeUbixFS().

## ◆ pSize

uInt32 ubixDiskLabel::ubixPartitions::pSize

Definition at line 73 of file ubixfs.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixfs/ubixfs.h